package cn.superdesk.uniorder.dubbo.facade._permission;

import cn.superdesk.uniorder.dao.entity.setting.UnifiedService;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionOrg;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionVirt;

import java.util.List;

/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 9/4/20 3:36 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 9/4/20 3:36 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboPermissionCustomerService {

	List<SelectOptionOrg> convertSelectPermOrg(List<Long> outOrgIds);

	List<SelectOptionVirt> convertSelectPermVirt(List<Long> outVirtIds);

	String getPermOutOrgIds(String token);

	String getPermOutVirtIds(String token);

	List<SelectOptionOrg> getSelectPermOrgByToken(String token);

	List<SelectOptionVirt> getSelectPermVirtByToken(String token);

	List<UnifiedService> getAsOrderType(String token);

	String getPermOutSaleId(String token);

	String getPermOutSaleName(String token);
}
